Subject: Re: bug#25630: [bug/df] Unicode is not supported on mounted point when I execute "df" command

From: Pádraig Brady <[email-masked]>
Date: Wed, 8 Feb 2017 10:07:11 -0800

On 07/02/17 22:01, Jaeseok Park wrote:
> I think that df may support Korean characters because gls supports Korean
> characters without any modification of settings.
> 
> The results of the commands you requested are as below:
> 
> Mini:~$ LC_ALL=en_US.UTF-8 df -h
> Filesystem      Size  Used Avail Use% Mounted on
> /dev/disk0s2    233G  177G   55G  77% /
> /dev/disk1s2    931G  686G  245G  74% /Volumes/ext
> /dev/disk2s1     39M   33M  6.4M  84% /Volumes/BEAGLEBONE
> /dev/disk3s1     15G  2.5M   15G   1% /Volumes/�??�?��??�?�
> 
> Mini:~$ LC_ALL=C df -h
> Filesystem      Size  Used Avail Use% Mounted on
> /dev/disk0s2    233G  177G   55G  77% /
> /dev/disk1s2    931G  686G  245G  74% /Volumes/ext
> /dev/disk2s1     39M   33M  6.4M  84% /Volumes/BEAGLEBONE
> /dev/disk3s1     15G  2.5M   15G   1% /Volumes/무제
> 
> Mini:~$ LC_ALL=ko_KR.UTF-8 locale
> LANG="ko_KR.UTF-8"
> LC_COLLATE="ko_KR.UTF-8"
> LC_CTYPE="ko_KR.UTF-8"
> LC_MESSAGES="ko_KR.UTF-8"
> LC_MONETARY="ko_KR.UTF-8"
> LC_NUMERIC="ko_KR.UTF-8"
> LC_TIME="ko_KR.UTF-8"
> LC_ALL="ko_KR.UTF-8"
> 
> LC_ALL=C makes it work well.
> By the way, why does gls work well without LC_ALL setting?

Right. LC_ALL=C will avoid the multibyte processing.
Now ls and df have similar multibyte processing,
with ls using mbrtowc() and df using mbstowcs().
Perhaps there is some issue with our use of the later on OSX,
with decomposed form?
I'll try to get access. What version of OSX is this?

thanks,
Pádraig